commit:     9f01ca243bd90f531350d7c76f571b64a26e4108
Author:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 24 17:13:43 2021 +0000
Commit:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Sat Apr 24 17:14:41 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9f01ca24

dev-perl/RPC-XML: Version bump 0.82

Closes: https://bugs.gentoo.org/662420
Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>

 dev-perl/RPC-XML/Manifest               |  1 +
 dev-perl/RPC-XML/RPC-XML-0.820.0.ebuild | 63 +++++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/dev-perl/RPC-XML/Manifest b/dev-perl/RPC-XML/Manifest
index 7094bbcf20a..9906db047e3 100644
--- a/dev-perl/RPC-XML/Manifest
+++ b/dev-perl/RPC-XML/Manifest
@@ -1,2 +1,3 @@
 DIST RPC-XML-0.79.tar.gz 209612 BLAKE2B 
8135be3e956083b985a00056c4574ab7412223f554a66fdadea1d10abbf837b6c02464cd212d774ef940c6f1524cbbaf651155abc1c35e1cac96aa01e1a058d7
 SHA512 
541ee3abf4e44cff68a2b7b7c4f78095e8e4ec479d72b52d300503bc1688f64fd01a0ff3c2cdf8e18573d19af0bae467ac68befe7ad8756e6287ed494a50ce26
 DIST RPC-XML-0.80.tar.gz 211223 BLAKE2B 
e26ba4f667c227e84362ca8e09d17ee01ef45c25902e7bc433bc4a81facacfc6163fc06ddd20a08399131faf18daa97f0f1a173043147f2d5046424c6e3087d3
 SHA512 
a91586ea903b3e633f85ca8d9048181a7c3aedcff6788c7ae5fb4971e8552c421c86f30254517c25caa35f1991146dcceb34301bb49002e4ec75a2ee9c195992
+DIST RPC-XML-0.82.tar.gz 225690 BLAKE2B 
4e16730a5bda313d43b00eaa8617e009a157867f286f17afb58693beb881ac2329ebee93d98c44c8742be2608998c1d2e0cc4f323be83ae9c5e9041c5bf90b3c
 SHA512 
e5d1092a2807c2bd423502dd2ed53a72c57384b67bb4709e86a64a6fe37ce8af580998e62fcfa6a48d66d5308d9dc270c74e4293617b9f23a654e379cde4025f

diff --git a/dev-perl/RPC-XML/RPC-XML-0.820.0.ebuild 
b/dev-perl/RPC-XML/RPC-XML-0.820.0.ebuild
new file mode 100644
index 00000000000..47ed029c810
--- /dev/null
+++ b/dev-perl/RPC-XML/RPC-XML-0.820.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DIST_AUTHOR=RJRAY
+DIST_VERSION=0.82
+DIST_EXAMPLES=( "ex/*.xpl" )
+inherit perl-module
+
+DESCRIPTION="An implementation of XML-RPC"
+
+SLOT="0"
+LICENSE="|| ( Artistic-2 LGPL-2.1 )"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       virtual/perl-Carp
+       >=dev-perl/HTTP-Daemon-6.120.0
+       >=dev-perl/HTTP-Message-6.260.0
+       >=dev-perl/libwww-perl-6.510.0
+       >=virtual/perl-Module-Load-0.360.0
+       >=virtual/perl-Scalar-List-Utils-1.550.0
+       >=dev-perl/XML-Parser-2.460.0
+"
+BEPEND="${RDEPEND}
+       >=virtual/perl-ExtUtils-MakeMaker-7.560.0
+       test? (
+               virtual/perl-IO-Socket-IP
+               >=virtual/perl-Test-Simple-1.302.183
+       )
+"
+
+src_compile() {
+       perl-module_src_compile
+       if use examples; then
+               pushd "${S}/ex" >/dev/null || die "Can't enter ${S}/ex"
+               emake MAKEMETHOD="${S}/blib/script/make_method"
+               popd >/dev/null || die "Can't exit ${S}/ex"
+       fi
+}
+pkg_postinst() {
+       SETWARN=0
+       has_version '=www-servers/apache-2*' && HAVE_APACHE2=1
+       has_version '>=www-apache/mod_perl-2.0' && HAVE_MP2=2
+
+       [ -n "${HAVE_APACHE2}" ] && SETWARN=1
+       [ -n "${HAVE_MP2}" ] && SETWARN=1
+
+       if [ "${SETWARN}" == "1" ]; then
+               ewarn "Apache2 or mod_perl2 were detected."
+               ewarn ""
+               ewarn "NOTE FROM THE AUTHOR OF RPC-XML"
+               ewarn ""
+               ewarn "At present, this package does not work with Apache2 and 
the soon-to-be"
+               ewarn "mod_perl2. The changes to the API for location handlers 
are too drastic to"
+               ewarn "try and support both within the same class (I tried, 
using the compatibility"
+               ewarn "layer). Also, mp2 does not currently provide support for 
<Perl> sections, which"
+               ewarn "are the real strength of the Apache::RPC::Server class."
+       fi
+}

Reply via email to